package com.cultural.heritage.model.dto.appointment;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "预约日期请求体", requiredProperties = {"timeSlot", "isAvailable", "minNumber", "maxNumber"})
public class AppointmentDateAddRequest implements Serializable {


//    /**
//     * 预约具体日期
//     */
//    @Schema(description = "预约具体日期", example = "2024-11-09")
//    private String specificDate;


    /**
     * 预约时间段
     */
    @Schema(description = "预约时间段", example = "9:00-11:00;12:00-14:00")
    private String timeSlot;


    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;


    /**
     * 预约人数范围
     */
    @Schema(description = "预约人数范围", example = "(3,5);(4,6)")
    private String numberRange;



    @Serial
    private static final long serialVersionUID = 1L;
}
