package com.cultural.heritage.model.dto.book;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "预约日期添加请求体", requiredProperties = {"specificDate", "timeSlot", "isAvailable", "maxNumber", "type"})
public class BookingDateAddRequest implements Serializable {

    /**
     * 预约具体日期
     */
    @Schema(description = "预约具体日期", example = "2024-11-18")
    private String specificDate;


    /**
     * 时间段
     */
    @Schema(description = "时间段", example = "8:00-10:00;12:00-14:00")
    private String timeSlot;


    /**
     * 是否可预约
     */
    @Schema(description = "是否可预约", example = "1")
    private Integer isAvailable;


    /**
     * 各个时间段的最大预约人数(4,6..)
     */
    @Schema(description = "各个时间段的最大预约人数(4,6..)", example = "4,5,6")
    private String maxNumber;


    /**
     * 预约类别
     */
    @Schema(description = "预约类别", example = "整套约拍")
    private String type;


    @Serial
    private static final long serialVersionUID = 1L;
}
