package com.cultural.heritage.model.dto.category;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "类别更新请求体", requiredProperties = {"id", "typeName", "typeUrl", "typeIntro"})
public class CategoryUpdateRequest implements Serializable {


    /**
     * id
     */
    @Schema(description = "商品类别id(id > 0)", example = "2")
    private Long id;


    /**
     * 类别名称
     */
    @Schema(description = "商品类别名", example = "材料包")
    private String typeName;


    /**
     * 类别图片
     */
    @Schema(description = "商品类别图片地址", example = "https://xxx/xxx.jpg")
    private String typeUrl;


    /**
     * 类别介绍
     */
    @Schema(description = "商品类别简介", example = "非遗材料包，匠心传承")
    private String typeIntro;




    @Serial
    private static final long serialVersionUID = 1L;
}
