package com.cultural.heritage.model.dto.contacts;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 联系人更新请求体
 */
@Data
@Schema(description = "联系人更新请求体", requiredProperties = {"id", "name", "phone", "userId", "isDefault"})
public class ContactsUpdateRequest implements Serializable {

    /**
     * 联系人id
     */
    @Schema(description = "联系人id(id > 0)", example = "4")
    private Long id;


    /**
     * 联系人姓名
     */
    @Schema(description = "联系人姓名", example = "张三")
    private String name;


    /**
     * 联系人手机号
     */
    @Schema(description = "联系人手机号", example = "18845892473")
    private String phone;


    /**
     * 是否默认
     */
    @Schema(description = "是否为默认地址", example = "1")
    private Integer isDefault;


    @Serial
    private static final long serialVersionUID = 1L;
}
