package com.cultural.heritage.model.dto.coupon;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "优惠券上架状态更新请求体", requiredProperties = {"id", "isShelves"})
public class CouponShelvesUpdateRequest implements Serializable {


    /**
     * 订单id
     */
    @Schema(description = "优惠券id(id > 0)", example = "8")
    private Long id;


    /**
     * 优惠券上架状态
     */
    @Schema(description = "优惠券上架状态", example = "1")
    private Integer isShelves;


    @Serial
    private static final long serialVersionUID = 1L;
}
