package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 预约日期表
 * @TableName   appointment_date
 */
@Data
@TableName("appointment_date")
public class AppointmentDate implements Serializable {


    /**
     * 预约日期id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 预约时间段
     */
    private String timeSlot;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 预约人数范围
     */
    private String numberRange;


    /**
     * 商品id
     */
    private Long goodId;


    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Integer isDelete;


    @Serial
    private static final long serialVersionUID = 1L;
}
