package com.cultural.heritage.model.vo.good;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoodPageVO implements Serializable {

    /**
     * 商品编号
     */
    private Long id;

    /**
     * 商品名
     */
    private String name;

    /**
     * 商品类型
     */
    private String type;

    /**
     * 商品价格
     */
    private BigDecimal price;

    /**
     * 商品图片
     */
    private String goodImg;

    /**
     * 商品简介
     */
    private String intro;

    /**
     * 商品详情简介
     */
    private String introDetail;

    /**
     * 商品详情图片
     */
    private String detailImg;

    /**
     * 商品标签
     */
    private String label;

    /**
     * 商品库存量
     */
    private Integer inventory;

    /**
     * 是否是商品类型
     */
    private Integer isGoodType;

    /**
     * 节日限定序号
     */
    private Integer festivalOrder;


    /**
     * 是否上架
     */
    private Integer isShelves;



    @Serial
    private static final long serialVersionUID = 1L;
}
