package com.cultural.heritage.service.book.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cultural.heritage.mapper.BookingDateMapper;
import com.cultural.heritage.model.entity.BookingDate;
import com.cultural.heritage.service.book.BookingDateService;
import org.springframework.stereotype.Service;

@Service
public class BookingDateServiceImpl extends ServiceImpl<BookingDateMapper, BookingDate> implements BookingDateService {


    /**
     * 初始化未来一天的预约日期
     */
    @Override
    public BookingDate initBookingDate(String type, int offset) {
        String currentDate = DateUtil.formatDate(DateUtil.offsetDay(DateUtil.date(), offset));
        BookingDate bookingDate = new BookingDate();
        bookingDate.setSpecificDate(currentDate);
        bookingDate.setTimeSlot("00:00-00:00");
        bookingDate.setIsAvailable(0);
        bookingDate.setMaxNumber("0");
        bookingDate.setType(type);
        return bookingDate;
    }
}
